# Tsunami

Tsunami is an open-source *Digital Audio Workstation* (DAW). It is designed for ease of use and not-looking-crappy™.

![tsunami1](https://raw.githubusercontent.com/momentarylapse/github-assets/refs/heads/main/screenshots/tsunami-2024-10-20.png)

Initially written for Linux. Usable on Windows and MacOS, but still working on full support.

## Features

It was mainly developed for my personal home recording needs, i.e.
 * multi-track mixing
 * multi-version audio recording
 * audio effects
 * midi editing
 * synthesizers
 * samples
 * plugin system
 * signal chains
 * persistent sessions

### Plugin system

Tsunami uses its own [language](https://github.com/momentarylapse/kaba) and just-in-time compiler for plugin code. Only x86_64 and aarch64 CPUs are supported.

## Getting started

* [how to build and run](docs/how-to-build.md)
* [how to use](docs/using/main.md)
* [writing plugins](docs/design/plugins.md)
* [internal design](docs/design/main.md)
* [development plans, bugs etc.](docs/development.md)


## Authors

Mostly me (Michael Ankele).

## Acknowledgments

Huge thanks to the three people who tried using tsunami and complained in extremely helpful ways: 2er0, Benji and Sergey Fedorov!
